## org.apache.tools.ant.taskdefs.optional.javacc
Class JJDoc

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.javacc.JJDoc

public class JJDoc
extends Task

Runs the JJDoc compiler compiler.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JJDoc()`

Method Summary
`void` `execute()` Called by the project to let the task do its work.
`void` `setJavacchome(java.io.File javaccHome)` The directory containing the JavaCC distribution.
`void` `setOnetable(boolean oneTable)` Sets the ONE_TABLE documentation option.
`void` `setOutputfile(java.lang.String outputFile)` The outputfile to write the generated BNF documentation file to.
`void` `setTarget(java.io.File target)` The javacc grammar file to process.
`void` `setText(boolean plainText)` Sets the TEXT BNF documentation option.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JJDoc

    public JJDoc()

Method Detail

### setText

    public void setText(boolean plainText)

  Sets the TEXT BNF documentation option.

### setOnetable

    public void setOnetable(boolean oneTable)

  Sets the ONE_TABLE documentation option.

### setOutputfile

    public void setOutputfile(java.lang.String outputFile)

  The outputfile to write the generated BNF documentation file to. If not set, the file is written with the same name as the JavaCC grammar file with a suffix .html or .txt.

### setTarget

    public void setTarget(java.io.File target)

  The javacc grammar file to process.

### setJavacchome

    public void setJavacchome(java.io.File javaccHome)

  The directory containing the JavaCC distribution.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.